- Look up NAT Gateway location details to find a location that supports the NAT Gateway speed you require.
- Look up available session counts to choose a valid session count for your NAT Gateway.
- Create the NAT Gateway design to generate a
productUidfor the NAT Gateway. - Validate the NAT Gateway order using the
productUid. - Buy the NAT Gateway to provision the service.
-
Send a GET request to retrieve available locations.
-
Search the response for a location that includes
natGatewaySpeedMbpsin thediversityZonesobject. To provision a NAT Gateway at a location, your required speed must appear innatGatewaySpeedMbps. Check that the location has your required speed and an available diversity zone. To create a NAT Gateway, you need the locationidvalue. In this example, the location ID is 60.
-
Send a GET request to retrieve the available session count and speed combinations for NAT Gateways.
The response shows the valid session counts for each supported speed.
- Choose a speed and session count for your NAT Gateway. Both values are fixed for the life of the service.
-
Create a request with this URL:
This request creates the NAT Gateway configuration but does not purchase or provision the service. To purchase the NAT Gateway, you need to validate and buy using the
productUid. -
Create the request Body. You must include the
locationId,productName,speed,term, andconfigfields. Theconfigobject requires anasnand asessionCount. You can use the Megaport ASN:133937.
productUid for the new NAT Gateway. You need this ID to order the NAT Gateway.
-
Create a request with this URL:
-
Create the request Body with the
productUidfrom the previous step.
-
Send a POST request to purchase and provision the NAT Gateway.
Use the same request Body as the validate step.
EndpointIf you make the buy API call on api.megaport.com, your account will be charged for the service. Alternatively, you can use the API in the staging environment (api-staging.megaport.com) without charges. For more information, see API Environments.Example Request Body
ORDERED provisioning status and the NAT Gateway provisioning begins.
For more information, see Creating a NAT Gateway VXC with the API.